Subject: bug#9096: Don't clear the echo area automatically at every command execution

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Oct 2019 18:16:27 +0200

Štěpán Němec <[email-masked]> writes:

> emacs -Q
> (message "Hello")
> C-p
>
> => The message disappears, although C-p does not use minibuffer/echo
> area in any way.
>
> I've always found this behaviour annoying and counter-productive. It
> often happens that I don't even notice a message because of this.
>
> If someone actually likes the current behaviour, could we at least have
> an option to prevent commands from clearing the echo area until
> necessary?

I think that would be very confusing -- you'd have old, outdated
messages in the echo area basically forever (i.e., until the next
message).

So I'm closing this as a "wontfix".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no